rte_crypto_ec_xform(3)

NAME
rte_crypto_ec_xform

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

enum rte_crypto_curve_id curve_id
rte_crypto_uint pkey
struct rte_crypto_ec_point q

Detailed Description

Asymmetric elliptic curve transform data

Structure describing all EC based xform params

Definition at line 419 of file rte_crypto_asym.h.

Field Documentation

  enum rte_crypto_curve_id curve_id
Pre-defined ec groups

Definition at line 420 of file rte_crypto_asym.h.

  rte_crypto_uint pkey
Private key

Definition at line 423 of file rte_crypto_asym.h.

  struct rte_crypto_ec_point q
Public key

Definition at line 426 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.